The cuda package

[Tags: bsd3, library, program]

The CUDA library provides a direct, general purpose C-like SPMD programming model for NVIDIA graphics cards (G8x series onwards). This is a collection of bindings to allow you to call and control, although not write, such functions from Haskell-land. You will need to install the CUDA driver and developer toolkit.

The configure script will look for your CUDA installation in the standard places, and if the nvcc compiler is found in your PATH, relative to that.

NOTE: Mavericks users (OS X 10.9) should use CUDA 5.5.28 and upwards.

This release is for version 5.0 of the CUDA toolkit.


Versions0.1, 0.2, 0.2.1, 0.2.2, 0.3.2,,,,,,,,,,,,,,,,,,,, (info)
Change logNone available
Dependenciesbase (==4.*), bytestring [details]
CopyrightCopyright (c) [2009..2013]. Trevor L. McDonell <>
AuthorTrevor L. McDonell <>
MaintainerTrevor L. McDonell <>
Home page
Bug tracker
Source repositoryhead: git clone
UploadedWed Nov 6 05:20:21 UTC 2013 by TrevorMcDonell
Downloads6600 total (143 in last 30 days)
0 []
StatusDocs not available [build log]
All reported builds failed as of 2015-11-17 [all 6 reports]



Maintainers' corner

For package maintainers and hackage trustees